Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
gnome-volume-control spews gstreamer errors, how to solve?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
smurfd
Apprentice
Apprentice


Joined: 04 May 2005
Posts: 176

PostPosted: Wed Jun 01, 2005 12:37 am    Post subject: gnome-volume-control spews gstreamer errors, how to solve? Reply with quote

So, ive ran xfce for a while, finaly decided to emerge gnome, wich took a *While*

Most of the stuff run fine, but one thing is not working, when i run "gnome-volume-control" i get errors spewed out in the terminal (if i run it from there) + an additional error dialog, saying something about not beeing able to find some volume handling elements and or devices.

The error that i get is :
Code:
** (gnome-volume-control:10748): CRITICAL **: how to remove plugins?

(gnome-volume-control:10748): GStreamer-CRITICAL **: Factory for `adder' has no type. This probably means the plugin wasn't found because the registry is broken. The plugin GStreamer was looking for is named 'adder' and is expected in file '/usr/lib/gstreamer-0.8/libgstadder.so'. The registry for this plugin is located at '/home/lithium/.gstreamer-0.8/registry.xml'

** (gnome-volume-control:10748): CRITICAL **: how to remove plugins?

(gnome-volume-control:10748): GStreamer-CRITICAL **: Factory for `alsamixer' has no type. This probably means the plugin wasn't found because the registry is broken. The plugin GStreamer was looking for is named 'alsa' and is expected in file '/usr/lib/gstreamer-0.8/libgstalsa.so'. The registry for this plugin is located at '/home/lithium/.gstreamer-0.8/registry.xml'

** (gnome-volume-control:10748): CRITICAL **: how to remove plugins?

(gnome-volume-control:10748): GStreamer-CRITICAL **: Factory for `ossmixer' has no type. This probably means the plugin wasn't found because the registry is broken. The plugin GStreamer was looking for is named 'ossaudio' and is expected in file '/usr/lib/gstreamer-0.8/libgstossaudio.so'. The registry for this plugin is located at '/home/lithium/.gstreamer-0.8/registry.xml'


Help appreciated!!
Back to top
View user's profile Send private message
d_m
Guru
Guru


Joined: 12 Jun 2003
Posts: 570
Location: Philadelphia, PA, USA

PostPosted: Wed Jun 01, 2005 2:34 pm    Post subject: Reply with quote

What USE flags do you have? What USE flags was gstreamer compiled with? In your kernel are you using ALSA/OSS or what?

I would try explicitly setting 'alsa' (assuming that's what you're using and you haven't already), then do emerge -av gstreamer, take a look at what it wants to do, and try reinstalling. I bet that gstreamer/gnome was installed without some necessary USE flag set. But that's just a guess.
_________________
The name that can be named is not the eternal name.
Back to top
View user's profile Send private message
smurfd
Apprentice
Apprentice


Joined: 04 May 2005
Posts: 176

PostPosted: Wed Jun 01, 2005 9:32 pm    Post subject: Reply with quote

I belive that gnome and gstreamer was built with these flags... meaning i cant remember changing them.

Code:
--- Emerge info ---
Portage 2.0.51.22-r1 (hardened/x86/2.6, gcc-3.3.5-20050130, glibc-2.3.5-r0, 2.6.11-gentoo-r6.gentoo. i686)
=================================================================
System uname: 2.6.11-gentoo-r6.gentoo. i686 Intel(R) Celeron(R) CPU 2.20GHz
Gentoo Base System version 1.6.12
dev-lang/python:     2.3.5
sys-apps/sandbox:    1.2.7
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.5
sys-devel/binutils:  2.15.92.0.2-r9
sys-devel/libtool:   1.5.18
virtual/os-headers:  2.6.11
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -mcpu=i686 -fomit-frame-pointer -fforce-addr -pipe -O2"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3/share/config /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/env.d"
CXXFLAGS="-O2 -mcpu=i686 -fomit-frame-pointer -fforce-addr -pipe -O2"
DISTDIR="/home/portage/distfiles"
FEATURES="autoconfig distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://ftp.du.se/pub/os/gentoo"
MAKEOPTS="-j2"
PKGDIR="/usr/portage//packages/x86/"
PORTAGE_TMPDIR="/home/portage/var_tmp"
PORTDIR="/home/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X acpi alsa avi berkdb bzlib cdr crypt curl dga directfb divx4linux dlloader dvd dvdread eds encode esd evo fam fbcon ffmpeg flac freetype gdbm gif gnome gnustep gnutls gpm gstreamer gtk2 hardened imlib java jikes jpeg ldap mad motif mp3 mpeg mysql ncurses nls ogg oggvorbis opengl oss pam perl pic png python quicktime readline ruby sdl ssl svg tcltk tcpd tiff truetype usb userlocales vorbis win32codecs x86 xine xinerama xml2 xvid zlib userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTDIR_OVERLAY


Code:
--- emerge -va gstreamer gst-plugins ---
emerge -va gstreamer gst-plugins

These are the packages that I would merge, in order:

Calculating dependencies ...done!
[ebuild     U ] media-libs/gstreamer-0.8.10 [0.8.9-r3] -debug -doc 1,432 kB
[ebuild     U ] media-libs/gst-plugins-0.8.8-r2 [0.8.8] +alsa -debug +esd +oss 2,162 kB
Back to top
View user's profile Send private message
rusty
Apprentice
Apprentice


Joined: 07 May 2004
Posts: 181
Location: St.Louis

PostPosted: Wed Jun 01, 2005 9:39 pm    Post subject: Reply with quote

run gst-register-0.8 or gst-register-0.6 and select the appropriate sinks in Preferences->"Multimedia Systems Selector"
Back to top
View user's profile Send private message
smurfd
Apprentice
Apprentice


Joined: 04 May 2005
Posts: 176

PostPosted: Thu Jun 02, 2005 2:59 am    Post subject: Reply with quote

hmm one thing that i have found out, after re-emerging gstreamer and gst-plugins is that, all these sinks + alot of other plugins aint built.
I see lots of "checking for ...." ".. not built" .. when emerging gst-plugins.

So thats probably why i cant set any in the gst config thingie.

but Why aint those sinks/plugins built, thats something im wondering...
i cant see no other errors accept them saying "checking for..." "... not built : ..."

ideas?
Back to top
View user's profile Send private message
ticho
Tux's lil' helper
Tux's lil' helper


Joined: 23 Oct 2003
Posts: 135
Location: Slovakia

PostPosted: Tue Jan 03, 2006 7:10 pm    Post subject: Reply with quote

I am having the same problem on a freshly built stable x86 gentoo gnome box.
_________________
The more you depend on forces outside yourself, the more you are dominated by them.
Back to top
View user's profile Send private message
ticho
Tux's lil' helper
Tux's lil' helper


Joined: 23 Oct 2003
Posts: 135
Location: Slovakia

PostPosted: Tue Jan 03, 2006 7:35 pm    Post subject: Reply with quote

https://bugs.gentoo.org/show_bug.cgi?id=70631
_________________
The more you depend on forces outside yourself, the more you are dominated by them.
Back to top
View user's profile Send private message
Jazz
Guru
Guru


Joined: 16 Nov 2003
Posts: 543
Location: Melbourne, Australia

PostPosted: Thu Feb 09, 2006 6:50 am    Post subject: Reply with quote

i get the following errors :

Code:

gstreamer-properties-Message: Skipping unavailable plugin 'alsasink'
gstreamer-properties-Message: Skipping unavailable plugin 'artsdsink'
gstreamer-properties-Message: Skipping unavailable plugin 'esdsink'
gstreamer-properties-Message: Skipping unavailable plugin 'osssink'
gstreamer-properties-Message: Skipping unavailable plugin 'polypsink'
gstreamer-properties-Message: Skipping unavailable plugin 'sdlvideosink'
gstreamer-properties-Message: Skipping unavailable plugin 'v4lmjpegsrc'
gstreamer-properties-Message: Skipping unavailable plugin 'qcamsrc'
gstreamer-properties-Message: Skipping unavailable plugin 'v4lsrc'
gstreamer-properties-Message: Skipping unavailable plugin 'v4l2src'
gstreamer-properties-Message: Skipping unavailable plugin 'alsasrc'
gstreamer-properties-Message: Skipping unavailable plugin 'esdmon'
gstreamer-properties-Message: Skipping unavailable plugin 'osssrc'
gstreamer-properties-Message: Skipping unavailable plugin 'polypsrc'
gstreamer-properties-Message: Error running pipeline 'Autodetect': Could not initialize supporting library. [gstautoaudiosink.c(248): gst_auto_audio_sink_find_best (): /pipeline0/autoaudiosink1:
Failed to find a supported audio sink]


Any ideas ? using the latest version of everything in portage !

thanx,
jazz
_________________
In 2010, M$ Windows will be a quantum processing emulation layer for a 128-bit mod of a 64-bit hack of a 32-bit patch to a 16-bit GUI for an 8-bit operating system written for a 4-bit processor from a 2-bit company that can't stand 1 bit of competition.
Back to top
View user's profile Send private message
matttions
Guru
Guru


Joined: 19 Jul 2004
Posts: 338

PostPosted: Wed Feb 15, 2006 10:26 am    Post subject: Reply with quote

Some problem here...
Can't find a solution ..

gstreamer-version = 0.10.3

I don't have the command:
Code:
 gst-register-0.10

but I have the command
Code:
 gst-register-0.8


and this are the use :
Code:
Calculating dependencies ...done!
[ebuild   R   ] media-libs/gstreamer-0.10.3  0 kB


as you see no one ....
what's wrong ?
_________________
gentoo ... l'unico pinguino da corsa
Back to top
View user's profile Send private message
Jazz
Guru
Guru


Joined: 16 Nov 2003
Posts: 543
Location: Melbourne, Australia

PostPosted: Wed Feb 15, 2006 12:49 pm    Post subject: Reply with quote

I'm having this problem for quite some time now and i cant seem to find any solution to this !

Can someone please guide us out ?
Thanx,
jazz
_________________
In 2010, M$ Windows will be a quantum processing emulation layer for a 128-bit mod of a 64-bit hack of a 32-bit patch to a 16-bit GUI for an 8-bit operating system written for a 4-bit processor from a 2-bit company that can't stand 1 bit of competition.
Back to top
View user's profile Send private message
bebris42
n00b
n00b


Joined: 24 May 2006
Posts: 1

PostPosted: Wed May 24, 2006 6:49 am    Post subject: Reply with quote

I managed to fix this problem by copying the contents of /usr/lib/gstreamer-0.10 to /usr/local/lib/gstreamer-0.10 and vice-versa. I also symlinked /usr/bin/gst-inspect-0.10 to /usr/bin/gst-inspect. I rebooted gnome and it worked perfectly. Not sure why they are in the wrong spots, and it would be much nicer to have a working ebuild rather than this ugly hack, but this will get your sound back if you were stuck like me.
Back to top
View user's profile Send private message
guni
Apprentice
Apprentice


Joined: 18 May 2003
Posts: 193
Location: Belgium lommel

PostPosted: Sun Sep 10, 2006 9:11 am    Post subject: Reply with quote

What i did 2 fix the problem:

Code:

Recompiled the kernel with alsa as modules. Follow alsa guide from gentoo (http://www.gentoo.org/doc/en/alsa-guide.xml)
Make sure that alsa is in your use flags.
Emerge gst-plugins-alsa again.
gst-register and select your alsa from the multimedia-selector.



gl
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum